From: William Desportes <williamdes@wdes.fr>
Date: Wed, 13 Sep 2023 11:39:59 +0200
Subject: Skip all tests that require easymock

Origin: vendor
Forwarded: not-needed
---
 tests/UnitTest/ContainerBuilderTest.php                           | 4 ++--
 tests/UnitTest/Definition/InstanceDefinitionTest.php              | 4 ++--
 tests/UnitTest/Definition/ReferenceTest.php                       | 4 ++--
 tests/UnitTest/Definition/Resolver/ArrayResolverTest.php          | 3 +--
 tests/UnitTest/Definition/Resolver/DecoratorResolverTest.php      | 3 +--
 .../Definition/Resolver/EnvironmentVariableResolverTest.php       | 3 +--
 .../UnitTest/Definition/Resolver/FactoryParameterResolverTest.php | 3 +--
 tests/UnitTest/Definition/Resolver/FactoryResolverTest.php        | 8 ++++++--
 tests/UnitTest/Definition/Resolver/InstanceInjectorTest.php       | 3 +--
 tests/UnitTest/Definition/Resolver/ObjectCreatorTest.php          | 3 +--
 tests/UnitTest/Definition/Resolver/ResolverDispatcherTest.php     | 3 +--
 tests/UnitTest/Definition/StringDefinitionTest.php                | 7 +++++--
 tests/UnitTest/Definition/ValueDefinitionTest.php                 | 4 ++--
 13 files changed, 26 insertions(+), 26 deletions(-)

diff --git a/tests/UnitTest/ContainerBuilderTest.php b/tests/UnitTest/ContainerBuilderTest.php
index c88062e..6ebc077 100644
--- a/tests/UnitTest/ContainerBuilderTest.php
+++ b/tests/UnitTest/ContainerBuilderTest.php
@@ -11,7 +11,6 @@ use DI\Definition\Source\SourceCache;
 use DI\Definition\ValueDefinition;
 use DI\Test\IntegrationTest\BaseContainerTest;
 use DI\Test\UnitTest\Fixtures\FakeContainer;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 
@@ -20,7 +19,6 @@ use Psr\Container\ContainerInterface;
  */
 class ContainerBuilderTest extends TestCase
 {
-    use EasyMock;
 	
 	private static function getProperty(object $object, string $propertyName)
 	{
@@ -103,6 +101,7 @@ class ContainerBuilderTest extends TestCase
      */
     public function should_allow_to_set_a_wrapper_container()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $otherContainer = $this->easyMock(ContainerInterface::class);
 
         $builder = new ContainerBuilder(FakeContainer::class);
@@ -232,6 +231,7 @@ class ContainerBuilderTest extends TestCase
         $result = $builder->enableDefinitionCache();
         $this->assertSame($builder, $result);
 
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $result = $builder->wrapContainer($this->easyMock(ContainerInterface::class));
         $this->assertSame($builder, $result);
     }
diff --git a/tests/UnitTest/Definition/InstanceDefinitionTest.php b/tests/UnitTest/Definition/InstanceDefinitionTest.php
index 5b93d6f..7f34096 100644
--- a/tests/UnitTest/Definition/InstanceDefinitionTest.php
+++ b/tests/UnitTest/Definition/InstanceDefinitionTest.php
@@ -6,7 +6,6 @@ namespace DI\Test\UnitTest\Definition;
 
 use DI\Definition\InstanceDefinition;
 use DI\Definition\ObjectDefinition;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 
 /**
@@ -14,7 +13,6 @@ use PHPUnit\Framework\TestCase;
  */
 class InstanceDefinitionTest extends TestCase
 {
-    use EasyMock;
 
     /**
      * @test
@@ -23,6 +21,7 @@ class InstanceDefinitionTest extends TestCase
     {
         $instance = new \stdClass();
 
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $definition = new InstanceDefinition($instance, $this->easyMock(ObjectDefinition::class));
 
         $this->assertSame($instance, $definition->getInstance());
@@ -33,6 +32,7 @@ class InstanceDefinitionTest extends TestCase
      */
     public function should_contain_an_object_definition()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $objectDefinition = $this->easyMock(ObjectDefinition::class);
 
         $definition = new InstanceDefinition(new \stdClass(), $objectDefinition);
diff --git a/tests/UnitTest/Definition/ReferenceTest.php b/tests/UnitTest/Definition/ReferenceTest.php
index 9b59d69..b909e4b 100644
--- a/tests/UnitTest/Definition/ReferenceTest.php
+++ b/tests/UnitTest/Definition/ReferenceTest.php
@@ -5,7 +5,6 @@ declare(strict_types=1);
 namespace DI\Test\UnitTest\Definition;
 
 use DI\Definition\Reference;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 
@@ -14,7 +13,6 @@ use Psr\Container\ContainerInterface;
  */
 class ReferenceTest extends TestCase
 {
-    use EasyMock;
 
     /**
      * @test
@@ -42,6 +40,7 @@ class ReferenceTest extends TestCase
      */
     public function should_resolve()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easySpy(ContainerInterface::class, [
             'get' => 42,
         ]);
@@ -56,6 +55,7 @@ class ReferenceTest extends TestCase
      */
     public function should_be_resolvable()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easySpy(ContainerInterface::class, [
             'has' => true,
         ]);
diff --git a/tests/UnitTest/Definition/Resolver/ArrayResolverTest.php b/tests/UnitTest/Definition/Resolver/ArrayResolverTest.php
index 8d95241..5fe7537 100644
--- a/tests/UnitTest/Definition/Resolver/ArrayResolverTest.php
+++ b/tests/UnitTest/Definition/Resolver/ArrayResolverTest.php
@@ -9,7 +9,6 @@ use DI\Definition\ArrayDefinition;
 use DI\Definition\ObjectDefinition;
 use DI\Definition\Resolver\ArrayResolver;
 use DI\Definition\Resolver\DefinitionResolver;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\MockObject\MockObject;
 use PHPUnit\Framework\TestCase;
 use DI\DependencyException;
@@ -19,7 +18,6 @@ use DI\DependencyException;
  */
 class ArrayResolverTest extends TestCase
 {
-    use EasyMock;
 
     private MockObject|DefinitionResolver $parentResolver;
 
@@ -27,6 +25,7 @@ class ArrayResolverTest extends TestCase
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->parentResolver = $this->easyMock(DefinitionResolver::class);
         $this->resolver = new ArrayResolver($this->parentResolver);
     }
diff --git a/tests/UnitTest/Definition/Resolver/DecoratorResolverTest.php b/tests/UnitTest/Definition/Resolver/DecoratorResolverTest.php
index fdcb672..370b232 100644
--- a/tests/UnitTest/Definition/Resolver/DecoratorResolverTest.php
+++ b/tests/UnitTest/Definition/Resolver/DecoratorResolverTest.php
@@ -8,7 +8,6 @@ use DI\Definition\DecoratorDefinition;
 use DI\Definition\Resolver\DecoratorResolver;
 use DI\Definition\Resolver\DefinitionResolver;
 use DI\Definition\ValueDefinition;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\MockObject\MockObject;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
@@ -19,7 +18,6 @@ use DI\Definition\Exception\InvalidDefinition;
  */
 class DecoratorResolverTest extends TestCase
 {
-    use EasyMock;
 
     private DecoratorResolver $resolver;
 
@@ -27,6 +25,7 @@ class DecoratorResolverTest extends TestCase
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $this->parentResolver = $this->easyMock(DefinitionResolver::class);
         $this->resolver = new DecoratorResolver($container, $this->parentResolver);
diff --git a/tests/UnitTest/Definition/Resolver/EnvironmentVariableResolverTest.php b/tests/UnitTest/Definition/Resolver/EnvironmentVariableResolverTest.php
index 9e18980..8054ef0 100644
--- a/tests/UnitTest/Definition/Resolver/EnvironmentVariableResolverTest.php
+++ b/tests/UnitTest/Definition/Resolver/EnvironmentVariableResolverTest.php
@@ -8,7 +8,6 @@ use DI\Definition\Reference;
 use DI\Definition\EnvironmentVariableDefinition;
 use DI\Definition\Resolver\DefinitionResolver;
 use DI\Definition\Resolver\EnvironmentVariableResolver;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\MockObject\MockObject;
 use PHPUnit\Framework\TestCase;
 use DI\Definition\Exception\InvalidDefinition;
@@ -18,7 +17,6 @@ use DI\Definition\Exception\InvalidDefinition;
  */
 class EnvironmentVariableResolverTest extends TestCase
 {
-    use EasyMock;
 
     private EnvironmentVariableResolver $resolver;
     private MockObject|DefinitionResolver $parentResolver;
@@ -30,6 +28,7 @@ class EnvironmentVariableResolverTest extends TestCase
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->parentResolver = $this->easyMock(DefinitionResolver::class);
 
         $variableReader = function ($variableName) {
diff --git a/tests/UnitTest/Definition/Resolver/FactoryParameterResolverTest.php b/tests/UnitTest/Definition/Resolver/FactoryParameterResolverTest.php
index 623265a..f9cfd6e 100644
--- a/tests/UnitTest/Definition/Resolver/FactoryParameterResolverTest.php
+++ b/tests/UnitTest/Definition/Resolver/FactoryParameterResolverTest.php
@@ -8,7 +8,6 @@ use DI\Container;
 use DI\Factory\RequestedEntry;
 use DI\Invoker\FactoryParameterResolver;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\NoConstructor;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\MockObject\MockObject;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
@@ -18,7 +17,6 @@ use Psr\Container\ContainerInterface;
  */
 class FactoryParameterResolverTest extends TestCase
 {
-    use EasyMock;
 
     private FactoryParameterResolver $resolver;
     private MockObject|ContainerInterface $container;
@@ -26,6 +24,7 @@ class FactoryParameterResolverTest extends TestCase
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->container = $this->easyMock(ContainerInterface::class);
         $this->resolver = new FactoryParameterResolver($this->container);
         $this->requestedEntry = $this->easyMock(RequestedEntry::class);
diff --git a/tests/UnitTest/Definition/Resolver/FactoryResolverTest.php b/tests/UnitTest/Definition/Resolver/FactoryResolverTest.php
index 5f383ed..6925755 100644
--- a/tests/UnitTest/Definition/Resolver/FactoryResolverTest.php
+++ b/tests/UnitTest/Definition/Resolver/FactoryResolverTest.php
@@ -11,7 +11,6 @@ use DI\Definition\Resolver\FactoryResolver;
 use DI\NotFoundException;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\FixtureClass;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\NoConstructor;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 use DI\Definition\Exception\InvalidDefinition;
@@ -21,13 +20,13 @@ use DI\Definition\Exception\InvalidDefinition;
  */
 class FactoryResolverTest extends TestCase
 {
-    use EasyMock;
 
     /**
      * @test
      */
     public function should_resolve_callables()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $resolver = new FactoryResolver($container, $this->easyMock(DefinitionResolver::class));
 
@@ -45,6 +44,7 @@ class FactoryResolverTest extends TestCase
      */
     public function should_inject_container()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $resolver = new FactoryResolver($container, $this->easyMock(DefinitionResolver::class));
 
@@ -62,6 +62,7 @@ class FactoryResolverTest extends TestCase
      */
     public function should_throw_if_the_factory_is_not_callable()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->expectException(InvalidDefinition::class);
         $this->expectExceptionMessage('Entry "foo" cannot be resolved: factory \'Hello world\' is neither a callable nor a valid container entry');
         $container = $this->easyMock(ContainerInterface::class);
@@ -80,6 +81,7 @@ class FactoryResolverTest extends TestCase
      */
     public function should_throw_if_not_enough_parameters()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->expectException(InvalidDefinition::class);
         $this->expectExceptionMessage('Entry "foo" cannot be resolved: Unable to invoke the callable because no value was given for parameter 3 ($c)');
         $container = $this->easyMock(ContainerInterface::class);
@@ -96,6 +98,7 @@ class FactoryResolverTest extends TestCase
      */
     public function should_inject_parameters()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $resolver = new FactoryResolver($container, $this->easyMock(DefinitionResolver::class));
 
@@ -118,6 +121,7 @@ class FactoryResolverTest extends TestCase
      */
     public function should_resolve_nested_definition_in_parameters()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $parentResolver = $this->easyMock(DefinitionResolver::class);
         $resolver = new FactoryResolver($container, $parentResolver);
diff --git a/tests/UnitTest/Definition/Resolver/InstanceInjectorTest.php b/tests/UnitTest/Definition/Resolver/InstanceInjectorTest.php
index f976a0a..fc3fda5 100644
--- a/tests/UnitTest/Definition/Resolver/InstanceInjectorTest.php
+++ b/tests/UnitTest/Definition/Resolver/InstanceInjectorTest.php
@@ -12,7 +12,6 @@ use DI\Definition\Resolver\InstanceInjector;
 use DI\Definition\Resolver\ResolverDispatcher;
 use DI\Proxy\ProxyFactory;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\FixtureClass;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 
 /**
@@ -20,7 +19,6 @@ use PHPUnit\Framework\TestCase;
  */
 class InstanceInjectorTest extends TestCase
 {
-    use EasyMock;
 
     /**
      * @test
@@ -56,6 +54,7 @@ class InstanceInjectorTest extends TestCase
 
     private function buildResolver(): InstanceInjector
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         /** @var ResolverDispatcher $resolverDispatcher */
         $resolverDispatcher = $this->easyMock(ResolverDispatcher::class);
         /** @var ProxyFactory $factory */
diff --git a/tests/UnitTest/Definition/Resolver/ObjectCreatorTest.php b/tests/UnitTest/Definition/Resolver/ObjectCreatorTest.php
index f7f71cf..e4e44a6 100644
--- a/tests/UnitTest/Definition/Resolver/ObjectCreatorTest.php
+++ b/tests/UnitTest/Definition/Resolver/ObjectCreatorTest.php
@@ -14,7 +14,6 @@ use DI\Test\UnitTest\Definition\Resolver\Fixture\FixtureAbstractClass;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\FixtureClass;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\FixtureInterface;
 use DI\Test\UnitTest\Definition\Resolver\Fixture\NoConstructor;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\MockObject\MockObject;
 use PHPUnit\Framework\TestCase;
 use DI\Definition\Exception\InvalidDefinition;
@@ -25,7 +24,6 @@ use DI\Definition\Exception\InvalidDefinition;
  */
 class ObjectCreatorTest extends TestCase
 {
-    use EasyMock;
 
     private MockObject|DefinitionResolver $parentResolver;
 
@@ -33,6 +31,7 @@ class ObjectCreatorTest extends TestCase
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $proxyFactory = $this->easyMock(ProxyFactory::class);
         $this->parentResolver = $this->easyMock(DefinitionResolver::class);
 
diff --git a/tests/UnitTest/Definition/Resolver/ResolverDispatcherTest.php b/tests/UnitTest/Definition/Resolver/ResolverDispatcherTest.php
index 4bfa482..06f9c83 100644
--- a/tests/UnitTest/Definition/Resolver/ResolverDispatcherTest.php
+++ b/tests/UnitTest/Definition/Resolver/ResolverDispatcherTest.php
@@ -9,7 +9,6 @@ use DI\Definition\Resolver\ResolverDispatcher;
 use DI\Definition\StringDefinition;
 use DI\Definition\ValueDefinition;
 use DI\Proxy\ProxyFactory;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 
@@ -18,12 +17,12 @@ use Psr\Container\ContainerInterface;
  */
 class ResolverDispatcherTest extends TestCase
 {
-    use EasyMock;
 
     private ResolverDispatcher $resolver;
 
     public function setUp(): void
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $proxyFactory = $this->easyMock(ProxyFactory::class);
         $this->resolver = new ResolverDispatcher($container, $proxyFactory);
diff --git a/tests/UnitTest/Definition/StringDefinitionTest.php b/tests/UnitTest/Definition/StringDefinitionTest.php
index 3a6bba8..575569a 100644
--- a/tests/UnitTest/Definition/StringDefinitionTest.php
+++ b/tests/UnitTest/Definition/StringDefinitionTest.php
@@ -6,7 +6,6 @@ namespace DI\Test\UnitTest\Definition;
 
 use DI\Definition\StringDefinition;
 use DI\NotFoundException;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 use DI\DependencyException;
@@ -16,7 +15,6 @@ use DI\DependencyException;
  */
 class StringDefinitionTest extends TestCase
 {
-    use EasyMock;
 
     public function test_getters()
     {
@@ -32,6 +30,7 @@ class StringDefinitionTest extends TestCase
      */
     public function should_be_resolvable()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
 
         $definition = new StringDefinition('foo');
@@ -44,6 +43,7 @@ class StringDefinitionTest extends TestCase
      */
     public function should_resolve_bare_strings()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
 
         $definition = new StringDefinition('bar');
@@ -56,6 +56,7 @@ class StringDefinitionTest extends TestCase
      */
     public function should_resolve_references()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class, [
             'get' => 'bar',
         ]);
@@ -70,6 +71,7 @@ class StringDefinitionTest extends TestCase
      */
     public function should_resolve_multiple_references()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easySpy(ContainerInterface::class);
         $container->expects($this->exactly(2))
             ->method('get')
@@ -88,6 +90,7 @@ class StringDefinitionTest extends TestCase
      */
     public function should_throw_on_unknown_entry_name()
     {
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $this->expectException(DependencyException::class);
         $this->expectExceptionMessage('Error while parsing string expression for entry \'foo\': No entry or class found for \'test\'');
         $container = $this->easyMock(ContainerInterface::class, [
diff --git a/tests/UnitTest/Definition/ValueDefinitionTest.php b/tests/UnitTest/Definition/ValueDefinitionTest.php
index ea08fd1..6a230ef 100644
--- a/tests/UnitTest/Definition/ValueDefinitionTest.php
+++ b/tests/UnitTest/Definition/ValueDefinitionTest.php
@@ -5,7 +5,6 @@ declare(strict_types=1);
 namespace DI\Test\UnitTest\Definition;
 
 use DI\Definition\ValueDefinition;
-use EasyMock\EasyMock;
 use PHPUnit\Framework\TestCase;
 use Psr\Container\ContainerInterface;
 
@@ -14,7 +13,6 @@ use Psr\Container\ContainerInterface;
  */
 class ValueDefinitionTest extends TestCase
 {
-    use EasyMock;
 
     public function test_getters()
     {
@@ -31,6 +29,7 @@ class ValueDefinitionTest extends TestCase
     public function should_be_resolvable()
     {
         $definition = new ValueDefinition('foo');
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $this->assertTrue($definition->isResolvable($container));
     }
@@ -41,6 +40,7 @@ class ValueDefinitionTest extends TestCase
     public function should_resolve()
     {
         $definition = new ValueDefinition('bar');
+        $this->markTestSkipped('Requires mnapoli/phpunit-easymock');
         $container = $this->easyMock(ContainerInterface::class);
         $this->assertEquals('bar', $definition->resolve($container));
     }
